XtSessionGetToken(3)

NAME
XtSessionGetToken, XtSessionReturnToken - token management for checkpointing

SYNTAX
#include <X11/Intrinsic.h>

XtCheckpointToken XtSessionGetToken(Widget w);

void XtSessionReturnToken(XtCheckpointToken token);

ARGUMENTS

w   Specifies the session widget.

token
    Specifies the token to be returned.

DESCRIPTION
The XtSessionGetToken function will return NULL if the checkpoint operation instigated by the session manager is not currently under way.

To indicate the completion of a deferred save operation and to return the checkpoint token use XtSessionReturnToken.

SEE ALSO
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface